## NMObject NMObject |

## Functions

const char * | nm_object_get_path ()

## Properties

GDBusConnection * | dbus-connection | Read
GDBusObject * | dbus-object | Read / Write / Construct Only
GDBusObjectManager * | dbus-object-manager | Read / Write / Construct Only
gchar * | path | Read

## Types and Values

#define | NM_OBJECT_PATH
#define | NM_OBJECT_DBUS_CONNECTION
#define | NM_OBJECT_DBUS_OBJECT_MANAGER
| NMObject

## Object Hierarchy

        GObject
        ╰── NMObject
            ├── NMAccessPoint
            ├── NMActiveConnection
            ├── NMDevice
            ├── NMDhcpConfig
            ├── NMIPConfig
            ├── NMRemoteConnection
            ╰── NMWimaxNsp

## Implemented Interfaces

NMObject implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_object_get_path ()

    const char *
    nm_object_get_path (NMObject *object);

Gets the DBus path of the NMObject.

#### Parameters

object | a NMObject |

#### Returns

the object's path. This is the internal string used by the object, and must not be modified.

## Types and Values

### NM_OBJECT_PATH

    #define NM_OBJECT_PATH "path"

### NM_OBJECT_DBUS_CONNECTION

    #define NM_OBJECT_DBUS_CONNECTION "dbus-connection"

### NM_OBJECT_DBUS_OBJECT_MANAGER

    #define NM_OBJECT_DBUS_OBJECT_MANAGER "dbus-object-manager"

### NMObject

    typedef struct _NMObject NMObject;

## Property Details

### The `“dbus-connection”` property

      “dbus-connection”          GDBusConnection *

The GDBusConnection of the object.

[skip]

Flags: Read

### The `“dbus-object”` property

      “dbus-object”              GDBusObject *

The GDBusObject of the object.

[skip]

Flags: Read / Write / Construct Only

### The `“dbus-object-manager”` property

      “dbus-object-manager”      GDBusObjectManager *

The GDBusObjectManager of the object.

[skip]

Flags: Read / Write / Construct Only

### The `“path”` property

      “path”                     gchar *

The D-Bus object path.

[skip]

Flags: Read

Default value: NULL